Package com.io7m.idstore.admin_client.internal

# Class IdAHandler1

java.lang.Object
com.io7m.idstore.admin_client.internal.IdAHandlerAbstract
com.io7m.idstore.admin_client.internal.IdAHandler1

All Implemented Interfaces:
  `com.io7m.hibiscus.basic.HBClientHandlerType<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>`, `IdAHandlerType`

public final class IdAHandler1 extends IdAHandlerAbstract
The version 1 protocol handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onDisconnect()`
  `com.io7m.hibiscus.api.HBResultType<IdAResponseType,IdAResponseError>`
  `onExecuteCommand(IdACommandType<?> command)`
  `com.io7m.hibiscus.api.HBResultType<com.io7m.hibiscus.basic.HBClientNewHandler<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>,IdAResponseError>`
  `onExecuteLogin(IdAClientCredentials credentials)`
  `boolean`
  `onIsConnected()`
  `List<IdAClientEventType>`
  `onPollEvents()`
  `String`
  `toString()`

  ### Methods inherited from class com.io7m.idstore.admin_client.internal.IdAHandlerAbstract

  `configuration, httpClient, local, strings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### onIsConnected

    public boolean onIsConnected()

  - ### onPollEvents

    public List<IdAClientEventType> onPollEvents()

  - ### onExecuteLogin

    public com.io7m.hibiscus.api.HBResultType<com.io7m.hibiscus.basic.HBClientNewHandler<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>,IdAResponseError> onExecuteLogin(IdAClientCredentials credentials) throws InterruptedException
    Throws:
      `InterruptedException`

  - ### onExecuteCommand

    public com.io7m.hibiscus.api.HBResultType<IdAResponseType,IdAResponseError> onExecuteCommand(IdACommandType<?> command) throws InterruptedException
    Throws:
      `InterruptedException`

  - ### onDisconnect

    public void onDisconnect()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`